MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001054XdebugFeature/Change requestpublic2014-05-29 10:202015-02-22 14:30
ReporterCarmageddon 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentosOS Version6
Product Version2.2.3 
Target VersionFixed in Version2.3.0 
Summary0001054: Profiler files need to support filename, function name compression
DescriptionCurrently, the system generates cachegrind files according to old format, where:
fl=/var/www/html/supportinterface/interface/shared_library/config.php
fn=require_once::/var/www/html/supportinterface/interface/shared_library/config.php

This repeats itself and noticeable especially in large profiler files of running reports, which reach even 1GB of size.

A newer compression support was added to the format:
http://valgrind.org/docs/manual/cl-format.html [^]

xdebug should be adjusted to support this and allow halving those 1GB large files to probably less than 500MB.
Steps To ReproduceShould be straightforward:
1) Create a project like /var/www/html/really/long/project/name/file.php
2) Create looping function to run for 10 minutes, calling another function, doing something like file_get_contents on something.
3) profiler file should linearly increase to 1GB.

After adding the new compression feature, it should be significantly smaller (and still work in kcachegrind/Qcachegrind and the likes of course!
TagsNo tags attached.
Operating SystemANY
PHP Version5.5.0-5.5.4
Attached Files

- Relationships

-  Notes
(0002990)
derick (administrator)
2015-02-13 20:47

Fixed through https://github.com/xdebug/xdebug/pull/154 [^] for Xdebug 2.3

- Issue History
Date Modified Username Field Change
2014-05-29 10:20 Carmageddon New Issue
2015-02-13 20:47 derick Note Added: 0002990
2015-02-13 20:47 derick Status new => resolved
2015-02-13 20:47 derick Fixed in Version => 2.3dev
2015-02-13 20:47 derick Resolution open => fixed
2015-02-13 20:47 derick Assigned To => derick
2015-02-13 20:47 derick Status resolved => closed
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker